time=`echo ${time:-0}`
ins=`echo ${ins:-0}`
cyc=`echo ${cyc:-0}`

if (time) {
datacol=5
lbl="time"
refval=-1
refp=-1
ymax=4.5
}
if (ins) {
datacol=7
lbl="ins"
refval=-1
refp=-1
ymax=5.5
}
if (cyc) {
datacol=8
lbl="cyc"
refval=-1
refp=-1
ymax=4.5
}

set title "Lattice operator (double) dynamiclayers B(p)"
set xlabel "p"
set ylabel "ws"
set zlabel lbl
set key top left Left reverse
set logscale z

zval(x) = column(datacol)

splot \
	"lt_Li_uplow_dynlay_Bp.txt"		using 1:2:(zval(-1)) w lp title "L_i FD", \
	"lt_tLi_uplow_dynlay_Bp.txt"		using 1:2:(zval(-1)) w lp title "tL_i FD", \
	"lt_Lstar_uplow_dynlay_Bp.txt"		using 1:2:(zval(-1)) w lp title "L_* FD", \
	"lt_Ostar_uplow_dynlay_Bp.txt"		using 1:2:(zval(-1)) w lp title "O_* FD", \
	"lt_SL_uplow_dynlay_Bp.txt"		using 1:2:(zval(-1)) w lp title "S_L FD", \
	"nothing" notitle

pause -1

set term postscript enhanced color solid
set output "z_lt_3d_tLi_fast_" . lbl . ".ps"
replot

quit

