#
# This file is part of FMSOLVR, a Fast Multipole Solver for MD.
#
# Copyright © 2019 Andreas Beckmann
#
# FMSOLVR is free software: you can redistribute it and/or modify
# it under the terms of the GNU Lesser General Public License
# as published by the Free Software Foundation, either version 2.1
# of the License, or (at your option) any later version.
#
# FMSOLVR is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public
# License along with FMSOLVR.  If not, see
# <https://www.gnu.org/licenses/>.
#

HAS_OPENMP		?=
HAS_STD_THREAD		?=
COMPILER_HAS_BOOST	?=

CXX_NVCC		?= nvcc
STD_FLAG		?= --compiler-options -std=c++11
CXXFLAGS_ARCH		?= -arch=compute_35
CXXFLAGS_WARN		?= --compiler-options -W,-Wall
CXXFLAGS_DEPS		?= --compiler-options -MD

CXX			 = $(CXX_NVCC)
