#ifndef _DaHa_Tools_Statistics_
#define _DaHa_Tools_Statistics_

#include <vector>
#include <algorithm>

template <typename floating_point_type>
floating_point_type quantile(double q, std::vector<floating_point_type> & data)
{
    std::nth_element(data.begin(), data.begin() + (data.size()-1)*q, data.end());
    return data[(data.size()-1)*q];
}


#endif
