#include <gtest/gtest.h>

#include "fmsolvr/container/simple_vector.hpp"

struct NotCopyable
{
    NotCopyable(const NotCopyable &) = delete;
    NotCopyable(NotCopyable &&){};
    NotCopyable(){};
};

struct ObjConstructorWithNotCopyable
{
    ObjConstructorWithNotCopyable(NotCopyable)
    {
    }
};


TEST(simple_vector, FillConstructor)
{

    fmsolvr::simple_vector<int> vector(2, 5);

    // this should cause a compiler error!
    // simple_vector<ObjConstructorWithNotCopyable> vector2(2, NotCopyable() );


}
